%% Figure 10: Map (xCO2)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script von Toste/Sren. Ursprnglich fr das VOR Projekt 
% Geomar
%
% modifiziert: 2018-06-06, Stefan Raimund, SubCtech
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [figDescrip10] = plot_10(all,timeframe,label1,label2, label3) %Zeitachse wird nicht modifiziert (wie in den anderen xy-Plots)
load('SCT_DATA_Iodysseus.mat');
figDescrip10 = "xCO2 [ppm]"; 
figDescrip10 = char(figDescrip10); %beschreibt das Figure und nutzt den Char fr den Dokumentennamen
 
fig10_handle = figure(10);


%% Lat and lon are in minutes and seconds, recalculate that
latdeg=floor(Latitude); latmin=(Latitude-latdeg)*100; % latsec=floor((Latitude-latdeg-(latmin/100))*10000);      
Latitude=latdeg+latmin/60; %+ latsec/100;

% Longitudeorg=Longitude;
londeg=fix(Longitude); lonmin=abs((Longitude-londeg)*100); % lonsec=floor((fix(Longitude*100)-(Longitude*100))*100)/60*100;  
F=find(londeg<0);
Longitude(F)=(abs(londeg(F))+lonmin(F)/60)*(-1);
F=find(londeg>=0);
Longitude(F)=abs(londeg(F))+lonmin(F)/60;

Longitude=Longitude;  % to plot the map
F=find(waterTemp>30); waterTemp(F)=NaN; % Several outliers in temp data

lat=Latitude; lon=Longitude;  temperature=waterTemp;

%% Data filter (GPS und Status)
F=find((lon ==0 & lat ==0)| STATUS ~= 5); %only Operate (and working GPS)
CO2(F)=NaN; lon(F)=NaN; lat(F)=NaN;

%% Data filter (Status: von Gas- in Wasserphase)
equil = 50; % Anzahl der Messwerte, die rausgeschnitten werden
for i=1:length(CO2)
    if i ==1
        if STATUS(i) ~= 5
            CO2(i)=NaN;
        end
    else
        if  STATUS(i-1)~=STATUS(i) && STATUS(i)==5
            CO2(i:(i+equil),1)=NaN;
        elseif STATUS(i) == 5
            if AIN3_mAWaterflow(i) < 2
                CO2(i) = NaN;
            end
        else
            CO2(i)=NaN;
        end
        if i <= (length(CO2) - equil*3)
            calc = CO2(i-1) - CO2(i);
            calc_abs = abs(calc);
            if calc_abs > 2
                CO2(i:(i+equil*3),1)=NaN;
            end
        end
        if i <= (length(CO2) - equil*3)
%             if AIN3_mAWaterflow(i-1) < 2 && AIN3_mAWaterflow(i) > 2.1
%                 CO2(i:(i+(equil*3)),1)=NaN;
%             end
        end
    end
    i=i+1;
end

%% make map
latmin=43; latmax=50;       %latitude in N...fr sdliche Breiten: negative Werte
lonmin=-13; lonmax=0;      %Longutude in E...fr Westliche: negative Werte

posfig(10); hold on;
m_proj('Mercator','long',[lonmin,lonmax],'lat',[latmin,latmax]);
m_gshhs_i('patch',[.5 .5 .5]);
m_grid('box','fancy');
[x,y]=m_ll2xy(lon,lat);

Minrange = floor(min(CO2));
Maxrange = ceil(max(CO2));
plotbin(x,y,CO2,[Minrange:(Maxrange-Minrange)/20:Maxrange],20);
% plotbin(x,y,CO2,[240:5:440],20);

% title(figDescrip11); %Kurztitel
combinedStr     = strcat(label1,'\_',label2,'\_',figDescrip10); %fr den Titel der Abb musste das Format angepasst werden.
title(combinedStr);
% title({SCTlabel3, figDescrip11}); %Titel mit mehreren Zeilen

dim = [0.25 0 .055 .05];                                                   %[Position x Position y Gre x Gre y]
str = 'Preliminary data. S. Raimund. 2019. SubCtech GmbH Kiel / Roscoff';
annotation('textbox',dim,'String',str,'FitBoxToText','on','fontsize',6);

orient portrait

end

