%% Figure 15: Map (Vessel value1CHL)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script von Toste/Sren. Ursprnglich fr das VOR Projekt 
% Geomar
%
% modifiziert: 2018-06-06, Stefan Raimund, SubCtech
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [figDescrip15] = plot_15(all,timeframe,label1,label2, label3) %Zeitachse wird nicht modifiziert (wie in den anderen xy-Plots)
load('SCT_DATA_Iodysseus.mat');
figDescrip15 = "Chla [g L-1]"; 
figDescrip15 = char(figDescrip15); %beschreibt das Figure und nutzt den Char fr den Dokumentennamen

fig15_handle = figure(15);

%% Lat and lon are in minutes and seconds, recalculate that
latdeg=floor(Latitude); latmin=(Latitude-latdeg)*100; % latsec=floor((Latitude-latdeg-(latmin/100))*10000);      
Latitude=latdeg+latmin/60; %+ latsec/100;

% Longitudeorg=Longitude;
londeg=fix(Longitude); lonmin=abs((Longitude-londeg)*100); % lonsec=floor((fix(Longitude*100)-(Longitude*100))*100)/60*100;  
F=find(londeg<0);
Longitude(F)=(abs(londeg(F))+lonmin(F)/60)*(-1);
F=find(londeg>=0);
Longitude(F)=abs(londeg(F))+lonmin(F)/60;

Longitude=Longitude;  % to plot the map
F=find(waterTemp>30); waterTemp(F)=NaN; % Several outliers in temp data

lat=Latitude; lon=Longitude;

%% Data filter (GPS und Status)
F=find((lon ==0 & lat ==0)| STATUS == 4); %Standby = no flow
value1CHL(F)=NaN; lon(F)=NaN; lat(F)=NaN;

%% make map
latmin=43; latmax=50;       %latitude in N...fr sdliche Breiten: negative Werte
lonmin=-13; lonmax=0;      %Longutude in E...fr Westliche: negative Werte

posfig(15); hold on;
m_proj('Mercator','long',[lonmin,lonmax],'lat',[latmin,latmax]);
m_gshhs_i('patch',[.5 .5 .5]);
m_grid('box','fancy');
[x,y]=m_ll2xy(lon,lat);

Minrange = floor(min(value1CHL));
Maxrange = ceil(max(value1CHL));
plotbin(x,y,value1CHL,[Minrange:(Maxrange-Minrange)/20:Maxrange],20);
% plotbin(x,y,value1CHL,[0:2:20],20);

% title(figDescrip15); %Kurztitel
combinedStr     = strcat(label1,'\_',label2,'\_', figDescrip15); %fr den Titel der Abb musste das Format angepasst werden.
title(combinedStr);
% title({SCTlabel5, figDescrip12}); %Titel mit mehreren Zeilen

dim = [0.25 0 .055 .05];                                                   %[Position x Position y Gre x Gre y]
str = 'Preliminary data. S. Raimund. 2019. SubCtech GmbH Kiel / Roscoff';
annotation('textbox',dim,'String',str,'FitBoxToText','on','fontsize',6);

orient portrait

end

